﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        Dim areaItems() As String = {"札幌", "仙台", "横浜"}
        ListBox1.Items.AddRange(areaItems)
    End Sub

    ' 追加項目の挿入ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        Dim addItem As String = TextBox1.Text
        If addItem = "" Then
            MessageBox.Show("追加項目が未入力です。", "追加項目の挿入")
        Else
            If ListBox1.FindStringExact(addItem) = -1 Then
                Dim indexSelected As Integer = ListBox1.SelectedIndex
                If indexSelected = -1 Then
                    ListBox1.Items.Add(addItem)
                Else
                    ListBox1.Items.Insert(indexSelected, addItem)
                    ListBox1.ClearSelected()
                End If
            Else
                MessageBox.Show("すでに登録されています。", "追加項目の挿入")
            End If
        End If
    End Sub

    ' 選択項目の削除ボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        Dim indexSelected As Integer = ListBox1.SelectedIndex
        If indexSelected = -1 Then
            MessageBox.Show("項目が選択されていません。", "選択項目の削除")
        Else
            ListBox1.Items.RemoveAt(indexSelected)
        End If
    End Sub
End Class
