﻿Public Class Form1
    ' フォームのロード処理
    ' --------------------------------------------------------------------
    ' 書籍で掲載しているノードを追加します。
    ' ノードの追加が面倒なときは、このコメントを解除して実行してください。
    ' --------------------------------------------------------------------
    'Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    '    TreeView1.Nodes.Add("Windows")
    '    TreeView1.Nodes(0).Nodes.Add("XP")
    '       'TreeView1.Nodes(0).Nodes(0).Nodes.Add("Home")
    '       'TreeView1.Nodes(0).Nodes(0).Nodes.Add("Professional")
    '       'TreeView1.Nodes(0).Nodes(0).Nodes.Add("Media Center")
    '    TreeView1.Nodes(0).Nodes.Add("Vista")
    '    TreeView1.Nodes(0).Nodes(1).Nodes.Add("Home Basic")
    '    TreeView1.Nodes(0).Nodes(1).Nodes.Add("Home Premium")
    '       'TreeView1.Nodes(0).Nodes(1).Nodes.Add("Business")
    '       'TreeView1.Nodes(0).Nodes(1).Nodes.Add("Ultimate")
    '       'TreeView1.Nodes(0).Nodes.Add("7")
    '       'TreeView1.Nodes(0).Nodes(2).Nodes.Add("Home Premium")
    '       'TreeView1.Nodes(0).Nodes(2).Nodes.Add("Professional")
    '       'TreeView1.Nodes(0).Nodes(2).Nodes.Add("Ultimate")
    '    TreeView1.Nodes.Add("Mac OS X")
    '       'TreeView1.Nodes(1).Nodes.Add("Tiger")
    '       'TreeView1.Nodes(1).Nodes.Add("Leopard")
    '       'TreeView1.Nodes(1).Nodes.Add("Snow Leopard")
    '    TreeView1.Nodes.Add("Linux/UNIX")
    '       'TreeView1.Nodes(2).Nodes.Add("Red Hat")
    '       'TreeView1.Nodes(2).Nodes.Add("Ubuntu")
    '       'TreeView1.Nodes(2).Nodes.Add("AIX")
    '       'TreeView1.Nodes(2).Nodes.Add("Solaris")
    'End Sub

    ' トップレベルに追加するメニューの選択時処理
    Private Sub トップレベルに追加するTToolStripMenuItem_Click( _
                                        ByVal sender As System.Object, _
                                        ByVal e As System.EventArgs) _
                                    Handles トップレベルに追加するTToolStripMenuItem.Click
        Dim node As String = ""
        node = InputBox("トップレベルに追加する項目を入力してください。", _
                        "ルートツリーノードの追加", "")
        If node <> "" Then
            TreeView1.Nodes.Add(node)
        End If
    End Sub

    ' 選択項目の配下に追加するメニューの選択時処理
    Private Sub 選択項目の配下に追加するSToolStripMenuItem_Click( _
                                        ByVal sender As System.Object, _
                                        ByVal e As System.EventArgs) _
                                    Handles 選択項目の配下に追加するSToolStripMenuItem.Click
        If TreeView1.SelectedNode Is Nothing Then
            MessageBox.Show("追加する個所の項目を選択してください。", "子ノードの追加")
        Else
            Dim node As String = ""
            Dim nodeSelected As String = TreeView1.SelectedNode.Text
            node = InputBox(nodeSelected & "の配下に追加する項目を入力してください。", _
                            "子ノードの追加", "")
            If node <> "" Then
                TreeView1.SelectedNode.Nodes.Add(node)
            End If
        End If
    End Sub

    ' 選択項目を削除するメニューの選択時処理
    Private Sub 選択項目を削除するDToolStripMenuItem_Click( _
                                        ByVal sender As System.Object, _
                                        ByVal e As System.EventArgs) _
                                    Handles 選択項目を削除するDToolStripMenuItem.Click
        If TreeView1.SelectedNode Is Nothing Then
            MessageBox.Show("削除する項目を選択してください。", "選択項目の削除")
        Else
            Dim nodeSelected As String = TreeView1.SelectedNode.FullPath
            Dim ret As DialogResult
            ret = MessageBox.Show(nodeSelected & "を削除しますか？", "選択項目の削除", _
                                  MessageBoxButtons.YesNo)
            If ret = Windows.Forms.DialogResult.Yes Then
                TreeView1.SelectedNode.Remove()
            End If
        End If
    End Sub

    ' 展開ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        TreeView1.ExpandAll()
    End Sub

    ' 省略ボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        TreeView1.CollapseAll()
    End Sub

    ' 確認ボタンの押下処理
    Private Sub Button3_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button3.Click
        For Each rootNode As TreeNode In TreeView1.Nodes
            ShowNodePass(rootNode)
        Next
    End Sub

    ' ノードのパス表示処理
    Private Sub ShowNodePass(ByVal n As TreeNode)
        MessageBox.Show(n.FullPath, "確認")
        For Each childNode As TreeNode In n.Nodes
            ShowNodePass(childNode)
        Next
    End Sub
End Class
