﻿Public Class Form1
    ' 金融商品の変更処理
    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, _
                                            ByVal e As System.EventArgs) _
                                        Handles RadioButton1.CheckedChanged, _
                                                RadioButton2.CheckedChanged, _
                                                RadioButton3.CheckedChanged
        CheckDeposit()
    End Sub

    ' 預入金額の検証後処理
    Private Sub NumericUpDown1_Validated(ByVal sender As Object, _
                                         ByVal e As System.EventArgs) _
                                     Handles NumericUpDown1.Validated
        CheckDeposit()
    End Sub

    ' 確定ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        If CheckDeposit() = False Then
            MessageBox.Show("入力ミスがあります。", "確定")
        End If
    End Sub

    ' 預入金額のチェック
    Private Function CheckDeposit() As Boolean
        If RadioButton1.Checked Then
            If NumericUpDown1.Value >= 3000000 Then
                ErrorProvider1.SetError(NumericUpDown1, "300万円未満にしてください。")
                Return False
            End If
        ElseIf RadioButton2.Checked Then
            If NumericUpDown1.Value < 3000000 Then
                ErrorProvider1.SetError(NumericUpDown1, "300万円以上にしてください。")
                Return False
            End If
        ElseIf RadioButton3.Checked Then
            If NumericUpDown1.Value < 10000000 Then
                ErrorProvider1.SetError(NumericUpDown1, "1000万円以上にしてください。")
                Return False
            End If
        End If
        ErrorProvider1.SetError(NumericUpDown1, "")
        Return True
    End Function
End Class
